Часто Задаваемые Вопросы по FreeBSD 2.X, 3.X, 4.X и 5.X


Где найти ldso?


a.out-приложения, такие, как Netscape Navigator, требуют наличия a.out-библиотек. По умолчанию версии FreeBSD, построенные на ELF-библиотеках, их не устанавливают. Вы получите сообщения об отсутствии /usr/libexec/ld.so, если это так для вашей системы. Эти библиотеки имеются в виде добавления в пакете compat22. Воспользуйтесь sysinstall(8) для его установки. Вы можете также установить их из исходного кода FreeBSD:

# cd /usr/src/lib/compat/compat22

# make install clean

Если вы хотите установить последние библиотеки compat22 при выполнении make world, то отредактируйте /etc/make.conf, включив туда строку COMPAT22=YES. Старые библиотеки совместимости меняются редко, если вообще меняются, так что это, в общем-то, и не нужно.

Также посмотрите файлы ERRATA для 3.1-RELEASE и 3.2-RELEASE.




Начало  Назад  Вперед